Description

We have a general project called Administration, which of the 3 types of activities we have (Design, Development, Support) only

Support is enabled. Development is the default set in the Redmine Settings.

Would it be possible to have Redmine select Support when logging time in this case, rather then forcing us to drop it down to select

the only activity available?

Related issues:

Related to Redmine - Feature #29286: Add default spent time activity per role Closed

History

#1 - 2010-12-08 18:18 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2011-04-15 23:01 - Will Vanderpol

Maybe a better way of implementing this feature would be to have a per project default activity setting. Different type of projects, admin, hardware or

software have different types of activities.

#3 - 2011-08-09 23:30 - Dan Klassen

A helpful feature would be to allow each tracker to have a default activity assigned to it. Unless I'm missing something I haven't seen a way to do this

through the interface.

#4 - 2011-08-15 22:50 - Sergey  Zagorodnykh

For easy to use PM need to customize relationships between Types of Trackers and Activities which can be related to them.

For Example: Support tracker can have next activities: Consulting, Discussion, Configure, Install, Wiki updating,...

#5 - 2013-01-09 10:47 - Ве Fio

Some news here?

I'm wondering if there is a way to show activities (while time tracking) filtered by tracker.

Scenario:

trackers:

1. database management

2. analysis and coordination

time tracking activities:

1. database creation

2. database updating

3. cost estimation

4. meeting

5. research

I want that, while I'm tracking time for database management, only 1 and 2 actities are shown (and 1 is selected by default); while I'm tracking time for

analysis and coordination I want to see only 3 4 5 (with 3 selected by default).

#6 - 2015-02-25 11:21 - Marco Descher

Tracker specific activities would definitely be an interesting option. +1
#7 - 2017-12-02 22:19 - Eva Encabo

+1 we need this feature

#8 - 2018-08-07 06:33 - Marius BĂLTEANU

- Related to Feature #29286: Add default spent time activity per role added

#9 - 2018-08-07 06:34 - Marius BĂLTEANU

I've proposed a default activity per role in #29286.
